summaryrefslogtreecommitdiff
path: root/security/nss
diff options
context:
space:
mode:
authorsonja.mirtitsch%sun.com <devnull@localhost>2002-01-04 21:31:39 +0000
committersonja.mirtitsch%sun.com <devnull@localhost>2002-01-04 21:31:39 +0000
commitd32ee3ab160504e9d44d9c7fa851790328267e8d (patch)
treeeb4b7efffac6e4d96344ecbe6c44497f5bc3ea77 /security/nss
parent6efaa4462ff7e4d44b7e034cd557d810b0a85dca (diff)
downloadnss-hg-d32ee3ab160504e9d44d9c7fa851790328267e8d.tar.gz
to avoid client and server writes at the same time write output to a tmp
file first, and then the tmp file to stdout the writes had lead to garbled messages that were then interpreted as errormessages by the scripts
Diffstat (limited to 'security/nss')
-rwxr-xr-xsecurity/nss/tests/ssl/ssl.sh36
1 files changed, 11 insertions, 25 deletions
diff --git a/security/nss/tests/ssl/ssl.sh b/security/nss/tests/ssl/ssl.sh
index 147e027ed..06b672fdf 100755
--- a/security/nss/tests/ssl/ssl.sh
+++ b/security/nss/tests/ssl/ssl.sh
@@ -208,20 +208,13 @@ ssl_cov()
is_selfserv_alive
echo "tstclnt -p ${PORT} -h ${HOST} -c ${param} ${TLS_FLAG} \\"
echo " -f -d . < ${REQUEST_FILE}"
- if [ `uname -s` = "HP-UX" ] ; then
- echo "workaround for HP-UX to avoid client and server writes at "
- echo " the same time"
- rm ${TMP}/$HOST.tmp.$$ 2>/dev/null
- tstclnt -p ${PORT} -h ${HOST} -c ${param} ${TLS_FLAG} -f \
+
+ rm ${TMP}/$HOST.tmp.$$ 2>/dev/null
+ tstclnt -p ${PORT} -h ${HOST} -c ${param} ${TLS_FLAG} -f \
-d . < ${REQUEST_FILE} >${TMP}/$HOST.tmp.$$ 2>&1
- ret=$?
- cat ${TMP}/$HOST.tmp.$$
- rm ${TMP}/$HOST.tmp.$$ 2>/dev/null
- else
- tstclnt -p ${PORT} -h ${HOST} -c ${param} ${TLS_FLAG} -f \
- -d . < ${REQUEST_FILE}
- ret=$?
- fi
+ ret=$?
+ cat ${TMP}/$HOST.tmp.$$
+ rm ${TMP}/$HOST.tmp.$$ 2>/dev/null
html_msg $ret 0 "${testname}"
fi
done
@@ -245,19 +238,12 @@ ssl_auth()
echo "tstclnt -p ${PORT} -h ${HOST} -f -d . ${cparam} \\"
echo " < ${REQUEST_FILE}"
- if [ `uname -s` = "HP-UX" ] ; then
- echo "workaround for HP-UX to avoid client and server writes at "
- echo " the same time"
- rm ${TMP}/$HOST.tmp.$$ 2>/dev/null
- tstclnt -p ${PORT} -h ${HOST} -f ${cparam} \
+ rm ${TMP}/$HOST.tmp.$$ 2>/dev/null
+ tstclnt -p ${PORT} -h ${HOST} -f ${cparam} \
-d . < ${REQUEST_FILE} >${TMP}/$HOST.tmp.$$ 2>&1
- ret=$?
- cat ${TMP}/$HOST.tmp.$$
- rm ${TMP}/$HOST.tmp.$$ 2>/dev/null
- else
- tstclnt -p ${PORT} -h ${HOST} -f -d . ${cparam} < ${REQUEST_FILE}
- ret=$?
- fi
+ ret=$?
+ cat ${TMP}/$HOST.tmp.$$
+ rm ${TMP}/$HOST.tmp.$$ 2>/dev/null
html_msg $ret $value "${testname}" \
"produced a returncode of $ret, expected is $value"